# Scheduled requests

To obtain a response for **every scheduled request**, `/getResults` has to be sent after the main request. Most of statistics\&analytics API methods need the `/getResults` to be sent in order to get the stats files or JSON:

* [getAppStats](/developer/api-reference/statistics-api/application-subscriber-statistics/#getappstats)
* [getCampaignStats](/developer/api-reference/statistics-api/campaign-statistics/)
* [getEventStatistics](/developer/api-reference/statistics-api/events-and-tags-statistics/#geteventstatistics)
* [getTagStats](/developer/api-reference/statistics-api/events-and-tags-statistics/#gettagstats)
* [getBouncedEmails](/developer/api-reference/statistics-api/message-statistics-api/#bouncedemails)

## getResults

`POST` `https://api.pushwoosh.com/json/1.3/getResults`

Retrieves the result of a scheduled request.

#### Request Body

| Name                                          | Type   | Description                                    |
| --------------------------------------------- | ------ | ---------------------------------------------- |
| auth\*        | string | [API access token](/developer/api-reference/api-identifiers/#api-access-token) from Pushwoosh Control Panel. |
| request\_id\* | string | Request ID returned by a scheduled method.     |



```json title="Example"
{
  "request":{
    "auth": "yxoPUlwqm…………pIyEX4H", // required. API access token from Pushwoosh Control Panel.
    "request_id": "REQUEST_ID"      // required. Request ID returned by the scheduled method.
  }
}
```

<Tabs>
  <TabItem label="200: Response Example">

    Response depends on the request you're obtaining results for, so it may look different. Below is an example response for the `/getMsgStats` request:

    ```json title="Example Response"
    {
      "status_code": 200,
      "status_message": "OK",
      "response": {
        "formatter": "hourly",
        "rows": [{
          "datetime": "2020-05-13 08:00:00", 
          "action": "send", 
          "count": 6
        }, {
          "datetime": "2020-05-13 08:00:00",
          "action": "inboxopen",
          "count": 0
        }, {
          "datetime": "2020-05-13 08:00:00",
          "action": "delivery",
          "count": 1
        }, {
          "datetime": "2020-05-13 08:00:00",
          "action": "open",
          "count": 0
        }],
        "conversion": {
          "send": 6,
          "delivery": 1,
          "open": 0,
          "events": []
        }
      }
    }
    ```

  </TabItem>
</Tabs>